cURL
curl --request POST "https://rxresu.me/api/openapi/career/facts" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"text": "<string>",
"category": "accomplishment",
"source": {
"kind": "user-message",
"id": "<string>",
"quote": "<string>"
}
}'import requests
url = "https://rxresu.me/api/openapi/career/facts"
payload = {
"text": "<string>",
"source": {
"id": "<string>",
"quote": "<string>"
},
"applicationId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
text: '<string>',
source: {id: '<string>', quote: '<string>'},
applicationId: '<string>'
})
};
fetch('https://rxresu.me/api/openapi/career/facts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"text": "<string>",
"category": "<string>",
"source": {
"kind": "user-message",
"id": "<string>",
"quote": "<string>"
},
"sourceKey": "<string>",
"status": "<string>",
"revisions": [
{
"text": "<string>",
"at": "<string>"
}
]
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Career
Post careerfacts
POST
/
career
/
facts
cURL
Authorizations
apiKeybearerAuthcookieAuth
The API key to authenticate requests.
Body
application/json
Response
object | null
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes